/* xkeycaps, Copyright (c) 1998, 1999 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the keycodes of the IBM ThinkPad 770ED keyboard
 * on Linux running the "Accelerated X" server from X Inside Inc.
 * By Jamie Zawinski <jwz@jwz.org>
 *
 * Note: The "Fn" key apparently doesn't deliver events to the X server.
 */

static const KeyCode thinkpad_codes [] = {
 /* Row 0 */
  9,
  92, 78, 127, 131, 135, 119,

  /* Row 1 */
  67, 68, 69, 70,
  71, 72, 73, 74,
  75, 76, 95, 96,
  129, 130, 134,

  /* Row 2 */
  49, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22,

  /* Row 3 */
  23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 51,
  
  /* Row 4 */
  66, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 36,

  /* Row 5 */
  50, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 

  /* Row 6 */
  0, 37, 64, 65, 122, 123, 128,

  /* ROW 7 */

  118, 93, 133
};
